API Reference - GET /codelist/applicantsuppliers
Page content
The ApplicantSuppliers endpoint returns a list of Applicant Suppliers values and the corresponding codes.
Resource
GET /api/codelist/applicantsuppliers
Authorization
No authorization required
Query Parameters
| Name | Description |
|---|---|
| lastmodified | Only return items modified on or after the date supplied. This is an optional field. |
Response
JSON:
{
"CodeList": [{
"ValidValue": [{
"Code": "01",
"Value": "I searched the USAJOBS website.",
"Group": "How did you hear about this job",
"LastModified": "2016-02-20T00:57:08.007",
"IsDisabled": "No"
}],
"id": "ApplicantSuppliers"
}],
"DateGenerated": "2018-08-02T14:11:20.9282358-04:00"
}
| Name | Type | Description |
|---|---|---|
| Code | String | Applicant Suppliers code |
| Value | String | Applicant Suppliers value |
| LastModified | Date | Date value or code was last modified |
| IsDisabled | String | Has the Applicant Suppliers been disabled. Values are Yes or No. |
| DateGenerated | Date | Date of request |
An official website of the United States Government